package tech.mercantec.easyeat.models

import kotlinx.serialization.Serializable


@Serializable
data class Recipe(
    val id: Int,
    val name: String,
    val description: String,
    val directions: List<CreateDirection>,
    val ingredients: List<CreateIngredient>
)

@Serializable
data class Direction(
    val id: Int,
    val instruktions: String
)


@Serializable
data class Ingredient(
    val id: Int,
    val amount: Double?,
    val unit: String?,
    val name: String
)